Page 1 of 2

Rubygame-2.4.1 for Windows

PostPosted: Wed Apr 22, 2009 7:06 am
by bmatthew1
Ok, here is a ZIP folder that contains all the rubygame dlls that Windows Users will need to get rubygame running on their system. I've tested them on my own computer & they worked, it would be useful if other users downloaded & tried them too; I've included a text file with some basic installation instructions.

Re: Rubygame-2.4.1 for Windows

PostPosted: Thu May 21, 2009 4:49 pm
by kiba
Can you make a new DLL for Rubygame 2.5.2?

Re: Rubygame-2.4.1 for Windows

PostPosted: Fri May 22, 2009 7:16 pm
by bmatthew1
I'll probably be able to upload a version of 2.5.2 sometime over the next few days.

However I compiled a version of 2.5.0 a few weeks ago which can be downloaded from here.

Update

Ok, I've compiled a version of 2.5.2 which you can download from here.

Re: Rubygame-2.4.1 for Windows

PostPosted: Sat May 23, 2009 2:47 am
by shawn42
Can you upload these builds to the forums for a more permanent hosting?

Thanks for you work on this!

Re: Rubygame-2.4.1 for Windows

PostPosted: Sat May 23, 2009 3:29 am
by bmatthew1
I've tried uploading them to the forum but I think they exceeded the maximum upload limit. :P

Re: Rubygame-2.4.1 for Windows

PostPosted: Sat May 23, 2009 4:57 am
by jacius
bmatthew1 wrote:I've tried uploading them to the forum but I think they exceeded the maximum upload limit. :P

I've upped the limit, please try again. :D

Re: Rubygame-2.4.1 for Windows

PostPosted: Sat May 23, 2009 1:18 pm
by bmatthew1
Ok, well here they are...

Re: Rubygame-2.4.1 for Windows

PostPosted: Sat May 23, 2009 1:40 pm
by bmatthew1
Oh & before I forget, I've attached a ZIP file containing the various Code::Blocks projects for Rubygame 2.5.2.

I've also attached the project for creating SDL_gfx-2.0.19.

Re: Rubygame-2.4.1 for Windows

PostPosted: Sat May 23, 2009 6:10 pm
by kiba
Nice. Now all it need is a winblow installation wizard to install the rubygame and ruby stuff as well indiviual rubygame app.

Re: Rubygame-2.4.1 for Windows

PostPosted: Tue Jun 23, 2009 4:44 pm
by Garepjotr
That one is built for ruby 1.8 right? Or should it also work with 1.9?
If not, can someone compile it for 1.9? I wanna join the rubyweekend :P.